## org.apache.felix.bundleplugin
Class DependencyEmbedder

    java.lang.Object
      org.apache.felix.bundleplugin.AbstractDependencyFilter
          org.apache.felix.bundleplugin.DependencyEmbedder

    public final class DependencyEmbedder

extends AbstractDependencyFilter

Add BND directives to embed selected dependencies inside a bundle

Author:
  Felix Project Team

Field Summary
`static java.lang.String` `EMBED_DEPENDENCY`
`static java.lang.String` `EMBED_DIRECTORY`
`static java.lang.String` `EMBED_STRIP_GROUP`
`static java.lang.String` `EMBED_STRIP_VERSION`
`static java.lang.String` `EMBED_TRANSITIVE`

Constructor Summary
`DependencyEmbedder(org.apache.maven.plugin.logging.Log log, java.util.Collection dependencyArtifacts)`

Method Summary
`java.util.Collection` `getEmbeddedArtifacts()`
`java.util.Collection` `getInlinedPaths()`
`protected void` `processDependencies(java.lang.String tag, java.lang.String inline, java.util.Collection dependencies)`
`void` `processHeaders(aQute.lib.osgi.Analyzer analyzer)`

Methods inherited from class org.apache.felix.bundleplugin.AbstractDependencyFilter
`processInstructions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMBED_DEPENDENCY

    public static final java.lang.String EMBED_DEPENDENCY

See Also:
  Constant Field Values

### EMBED_DIRECTORY

    public static final java.lang.String EMBED_DIRECTORY

See Also:
  Constant Field Values

### EMBED_STRIP_GROUP

    public static final java.lang.String EMBED_STRIP_GROUP

See Also:
  Constant Field Values

### EMBED_STRIP_VERSION

    public static final java.lang.String EMBED_STRIP_VERSION

See Also:
  Constant Field Values

### EMBED_TRANSITIVE

    public static final java.lang.String EMBED_TRANSITIVE

See Also:
  Constant Field Values

Constructor Detail

### DependencyEmbedder

    public DependencyEmbedder(org.apache.maven.plugin.logging.Log log,
                              java.util.Collection dependencyArtifacts)

Method Detail

### processHeaders

    public void processHeaders(aQute.lib.osgi.Analyzer analyzer)
                        throws org.apache.maven.plugin.MojoExecutionException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### processDependencies

    protected void processDependencies(java.lang.String tag,
                                       java.lang.String inline,
                                       java.util.Collection dependencies)

  Specified by:
    `processDependencies` in class `AbstractDependencyFilter`

### getInlinedPaths

    public java.util.Collection getInlinedPaths()

### getEmbeddedArtifacts

    public java.util.Collection getEmbeddedArtifacts()

Copyright © 2011. All Rights Reserved.